.klaro .cookie-modal, .klaro .cookie-notice {
    font-size: 14px
}

.klaro .cookie-modal .cm-switch-container, .klaro .cookie-notice .cm-switch-container {
    display: block;
    position: relative;
    padding: 10px;
    padding-left: 66px;
    line-height: 20px;
    vertical-align: middle;
    min-height: 40px;
    border-bottom: 1px solid #ccc
}

.klaro .cookie-modal .cm-switch-container:last-child, .klaro .cookie-notice .cm-switch-container:last-child {
    border-bottom: 0
}

.klaro .cookie-modal .cm-switch-container:first-child, .klaro .cookie-notice .cm-switch-container:first-child {
    margin-top: 0
}

.klaro .cookie-modal .cm-switch-container p, .klaro .cookie-notice .cm-switch-container p {
    margin-top: 0
}

.klaro .cookie-modal .cm-switch, .klaro .cookie-notice .cm-switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 30px
}

.klaro .cookie-modal .cm-list-input:checked + .cm-list-label .slider, .klaro .cookie-notice .cm-list-input:checked + .cm-list-label .slider {
    background-color: #ff2b95
}

.klaro .cookie-modal .cm-list-input.half-checked:checked + .cm-list-label .slider, .klaro .cookie-notice .cm-list-input.half-checked:checked + .cm-list-label .slider {
    opacity: .6;
    background-color: #EE298B
}

.klaro .cookie-modal .cm-list-input.half-checked:checked + .cm-list-label .slider::before, .klaro .cookie-notice .cm-list-input.half-checked:checked + .cm-list-label .slider::before {
    transform: translateX(10px)
}

.klaro .cookie-modal .cm-list-input.only-required + .cm-list-label .slider, .klaro .cookie-notice .cm-list-input.only-required + .cm-list-label .slider {
    opacity: .8;
    background-color: #ff2b95
}

.klaro .cookie-modal .cm-list-input.only-required + .cm-list-label .slider::before, .klaro .cookie-notice .cm-list-input.only-required + .cm-list-label .slider::before {
    transform: translateX(10px)
}

.klaro .cookie-modal .cm-list-input.required:checked + .cm-list-label .slider, .klaro .cookie-notice .cm-list-input.required:checked + .cm-list-label .slider {
    opacity: .8;
    background-color: #ff2b95;
    cursor: not-allowed
}

.klaro .cookie-modal .slider, .klaro .cookie-notice .slider {
    box-shadow: 0 4px 6px 0 rgba(0, 0, 0, .2), 5px 5px 10px 0 rgba(0, 0, 0, .19)
}

.klaro .cookie-modal .cm-list-input, .klaro .cookie-notice .cm-list-input {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    width: 50px;
    height: 30px
}

.klaro .cookie-modal .cm-list-title, .klaro .cookie-notice .cm-list-title {
    font-size: 14px;
    font-weight: 600
}

.klaro .cookie-modal .cm-list-description, .klaro .cookie-notice .cm-list-description {
    font-size: 14px;
    padding-top: 4px;
    color: #eee
}

.klaro .cookie-modal .cm-list-label .cm-switch, .klaro .cookie-notice .cm-list-label .cm-switch {
    position: absolute;
    left: 0
}

.klaro .cookie-modal .cm-list-label .slider, .klaro .cookie-notice .cm-list-label .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: .4s;
    width: 50px;
    display: inline-block
}

.klaro .cookie-modal .cm-list-label .slider::before, .klaro .cookie-notice .cm-list-label .slider::before {
    position: absolute;
    content: '';
    height: 20px;
    width: 20px;
    left: 5px;
    bottom: 5px;
    background-color: #fff;
    transition: .4s
}

.klaro .cookie-modal .cm-list-label .slider.round, .klaro .cookie-notice .cm-list-label .slider.round {
    border-radius: 30px
}

.klaro .cookie-modal .cm-list-label .slider.round::before, .klaro .cookie-notice .cm-list-label .slider.round::before {
    border-radius: 50%
}

.klaro .cookie-modal .cm-list-label input:focus + .slider, .klaro .cookie-notice .cm-list-label input:focus + .slider {
    box-shadow: 0 0 1px #48dfb2
}

.klaro .cookie-modal .cm-list-label input:checked + .slider::before, .klaro .cookie-notice .cm-list-label input:checked + .slider::before {
    transform: translateX(20px)
}

.klaro .cookie-modal .cm-list-input:focus + .cm-list-label .slider, .klaro .cookie-notice .cm-list-input:focus + .cm-list-label .slider {
    box-shadow: 0 4px 6px 0 rgba(125, 125, 125, .2), 5px 5px 10px 0 rgba(125, 125, 125, .19)
}

.klaro .cookie-modal .cm-list-input:checked + .cm-list-label .slider::before, .klaro .cookie-notice .cm-list-input:checked + .cm-list-label .slider::before {
    transform: translateX(20px)
}

.klaro .cookie-modal .slider, .klaro .cookie-notice .slider {
    box-shadow: 0 4px 6px 0 rgba(0, 0, 0, .2), 5px 5px 10px 0 rgba(0, 0, 0, .19)
}

.klaro .cookie-modal a, .klaro .cookie-notice a {
    color: #ff2b95;
    text-decoration: none
}

.klaro .cookie-modal h1, .klaro .cookie-modal h2, .klaro .cookie-modal li, .klaro .cookie-modal p, .klaro .cookie-modal strong, .klaro .cookie-modal ul, .klaro .cookie-notice h1, .klaro .cookie-notice h2, .klaro .cookie-notice li, .klaro .cookie-notice p, .klaro .cookie-notice strong, .klaro .cookie-notice ul {
    color: #eee
}

.klaro .cookie-modal h1, .klaro .cookie-modal h2, .klaro .cookie-modal li, .klaro .cookie-modal p, .klaro .cookie-modal ul, .klaro .cookie-notice h1, .klaro .cookie-notice h2, .klaro .cookie-notice li, .klaro .cookie-notice p, .klaro .cookie-notice ul {
    display: block;
    text-align: left;
    margin: 0;
    padding: 0;
    margin-top: .7em
}

.klaro .cookie-modal .cm-link, .klaro .cookie-notice .cm-link {
    margin-right: .5em;
    vertical-align: middle
}

.klaro .cookie-modal .cm-btn, .klaro .cookie-notice .cm-btn {
    background: #555;
    color: #eee;
    border-radius: 4px;
    padding: 6px 10px;
    margin-right: .5em;
    border: 0;
    font-size: 1em
}

.klaro .cookie-modal .cm-btn:disabled, .klaro .cookie-notice .cm-btn:disabled {
    opacity: .5
}

.klaro .cookie-modal .cm-btn.cm-btn-close, .klaro .cookie-notice .cm-btn.cm-btn-close {
    background: #aaa;
    color: #000
}

.klaro .cookie-modal .cm-btn.cm-btn-success, .klaro .cookie-notice .cm-btn.cm-btn-success {
    background: #EE298B
}

.klaro .cookie-modal .cm-btn.cm-btn-info, .klaro .cookie-notice .cm-btn.cm-btn-info {
    background:#EE298B;
    transition: .25s all;
}
.klaro .cookie-modal .cm-btn.cm-btn-info:hover, .klaro .cookie-notice .cm-btn.cm-btn-info:hover {
    background:#ff2b95;
    color:#000;
}

.klaro .cookie-modal {
    width: 100%;
    height: 100%;
    position: fixed;
    overflow: hidden;
    left: 0;
    top: 0;
    z-index: 1000
}

.klaro .cookie-modal.cm-embedded {
    position: relative;
    height: inherit;
    width: inherit;
    left: inherit;
    right: inherit;
    z-index: 0
}

.klaro .cookie-modal.cm-embedded .cm-modal.cm-klaro {
    position: relative;
    transform: none
}

.klaro .cookie-modal .cm-bg {
    background: rgba(0, 0, 0, .5);
    height: 100%;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0
}

.klaro .cookie-modal .cm-modal.cm-klaro {
    z-index: 1001;
    box-shadow: 0 4px 6px 0 rgba(0, 0, 0, .2), 5px 5px 10px 0 rgba(0, 0, 0, .19);
    width: 100%;
    max-height: 98%;
    top: 50%;
    transform: translateY(-50%);
    position: fixed;
    overflow: auto;
    background: #333;
    color: #eee
}

@media (min-width: 660px) {
    .klaro .cookie-modal .cm-modal.cm-klaro {
        border-radius: 4px;
        position: relative;
        margin: 0 auto;
        max-width: 640px;
        height: auto;
        width: auto
    }
}

.klaro .cookie-modal .cm-modal .hide {
    border-style: none;
    background: 0 0;
    position: absolute;
    top: 20px;
    right: 20px;
    z-index: 1
}

.klaro .cookie-modal .cm-modal .hide svg {
    stroke: #eee
}

.klaro .cookie-modal .cm-modal .cm-footer {
    padding: 1em;
    border-top: 1px solid #555
}

.klaro .cookie-modal .cm-modal .cm-footer-buttons {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-flow: row;
    flex-flow: row;
    -ms-flex-pack: justify;
    justify-content: space-between
}

.klaro .cookie-modal .cm-modal .cm-footer .cm-powered-by {
    font-size: .8em;
    padding-top: 4px;
    text-align: right;
    padding-right: 8px
}

.klaro .cookie-modal .cm-modal .cm-footer .cm-powered-by a {
    color: #999
}

.klaro .cookie-modal .cm-modal .cm-header {
    padding: 1em;
    padding-right: 24px;
    border-bottom: 1px solid #555
}

.klaro .cookie-modal .cm-modal .cm-header h1 {
    margin: 0;
    font-size: 2em;
    display: block
}

.klaro .cookie-modal .cm-modal .cm-header h1.title {
    padding-right: 20px
}

.klaro .cookie-modal .cm-modal .cm-body {
    padding: 1em
}

.klaro .cookie-modal .cm-modal .cm-body ul {
    display: block
}

.klaro .cookie-modal .cm-modal .cm-body span {
    display: inline-block;
    width: auto
}

.klaro .cookie-modal .cm-modal .cm-body ul.cm-apps, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes {
    padding: 0;
    margin: 0
}

.klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-purpose .cm-apps .cm-caret, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-purpose .cm-apps .cm-caret {
    color: #888
}

.klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-purpose .cm-apps .cm-content, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-purpose .cm-apps .cm-content {
    margin-left: -40px;
    display: none
}

.klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-purpose .cm-apps .cm-content.expanded, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-purpose .cm-apps .cm-content.expanded {
    margin-top: 10px;
    display: block
}

.klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-app, .klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-purpose, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-app, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-purpose {
    position: relative;
    line-height: 20px;
    vertical-align: middle;
    padding-left: 60px;
    min-height: 40px
}

.klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-app:first-child, .klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-purpose:first-child, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-app:first-child, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-purpose:first-child {
    margin-top: 0
}

.klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-app p, .klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-purpose p, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-app p, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-purpose p {
    margin-top: 0
}

.klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-app p.purposes, .klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-purpose p.purposes, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-app p.purposes, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-purpose p.purposes {
    font-size: .8em;
    color: #999
}

.klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-app.cm-toggle-all, .klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-purpose.cm-toggle-all, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-app.cm-toggle-all, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-purpose.cm-toggle-all {
    border-top: 1px solid #555;
    padding-top: 1em
}

.klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-app span.cm-list-title, .klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-purpose span.cm-list-title, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-app span.cm-list-title, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-purpose span.cm-list-title {
    font-weight: 600
}

.klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-app span.cm-opt-out, .klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-app span.cm-required, .klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-purpose span.cm-opt-out, .klaro .cookie-modal .cm-modal .cm-body ul.cm-apps li.cm-purpose span.cm-required, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-app span.cm-opt-out, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-app span.cm-required, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-purpose span.cm-opt-out, .klaro .cookie-modal .cm-modal .cm-body ul.cm-purposes li.cm-purpose span.cm-required {
    padding-left: .2em;
    font-size: .8em;
    color: #999
}

.klaro .cookie-notice:not(.cookie-modal-notice) {
    background: #333;
    z-index: 999;
    position: fixed;
    width: 100%;
    bottom: 0;
    right: 0
}

@media (min-width: 1024px) {
    .klaro .cookie-notice:not(.cookie-modal-notice) {
        box-shadow: 0 4px 6px 0 rgba(0, 0, 0, .2), 5px 5px 10px 0 rgba(0, 0, 0, .19);
        border-radius: 4px;
        position: fixed;
        bottom: 20px;
        right: 20px;
        max-width: 400px
    }
}

@media (max-width: 1023px) {
    .klaro .cookie-notice:not(.cookie-modal-notice) {
        border-style: none;
        border-radius: 0
    }
}

.klaro .cookie-notice:not(.cookie-modal-notice).cn-embedded {
    position: relative;
    height: inherit;
    width: inherit;
    left: inherit;
    right: inherit;
    bottom: inherit;
    z-index: 0
}

.klaro .cookie-notice:not(.cookie-modal-notice).cn-embedded .cn-body {
    padding-top: .5em
}

.klaro .cookie-notice:not(.cookie-modal-notice) .cn-body {
    margin-bottom: 0;
    margin-right: 0;
    bottom: 0;
    padding: 1em;
    padding-top: 0
}

.klaro .cookie-notice:not(.cookie-modal-notice) .cn-body p {
    margin-bottom: .5em
}

.klaro .cookie-notice:not(.cookie-modal-notice) .cn-body p.cn-changes {
    text-decoration: underline
}

.klaro .cookie-notice:not(.cookie-modal-notice) .cn-body .cn-learn-more {
    display: inline-block;
    -ms-flex-positive: 1;
    flex-grow: 1
}

.klaro .cookie-notice:not(.cookie-modal-notice) .cn-body .cn-buttons {
    display: inline-block;
    margin-top: -.5em
}

@media (max-width: 384px) {
    .klaro .cookie-notice:not(.cookie-modal-notice) .cn-body .cn-buttons {
        width: 100%
    }
}

.klaro .cookie-notice:not(.cookie-modal-notice) .cn-body .cn-buttons button.cm-btn {
    margin-top: .5em
}

@media (max-width: 384px) {
    .klaro .cookie-notice:not(.cookie-modal-notice) .cn-body .cn-buttons button.cm-btn {
        width: calc(50% - .5em)
    }
}

.klaro .cookie-notice:not(.cookie-modal-notice) .cn-body .cn-ok {
    margin-top: -.5em;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-flow: row;
    flex-flow: row;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-pack: right;
    justify-content: right;
    -ms-flex-align: baseline;
    align-items: baseline
}

.klaro .cookie-notice:not(.cookie-modal-notice) .cn-body .cn-ok a, .klaro .cookie-notice:not(.cookie-modal-notice) .cn-body .cn-ok div {
    margin-top: .5em
}

.klaro .cookie-modal-notice {
    z-index: 1001;
    box-shadow: 0 4px 6px 0 rgba(0, 0, 0, .2), 5px 5px 10px 0 rgba(0, 0, 0, .19);
    width: 100%;
    max-height: 98%;
    top: 50%;
    transform: translateY(-50%);
    position: fixed;
    overflow: auto;
    background: #333;
    color: #eee;
    padding: 1em;
    padding-top: .2em
}

@media (min-width: 400px) {
    .klaro .cookie-modal-notice {
        border-radius: 4px;
        position: relative;
        margin: 0 auto;
        max-width: 400px;
        height: auto;
        width: auto
    }
}

.klaro .cookie-modal-notice .cn-ok {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-flow: row;
    flex-flow: row;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -ms-flex-align: center;
    align-items: center;
    margin-top: 1em
}

.klaro .cookie-notice-hidden {
    display: none !important
}

/* Contextual */
div[data-type="placeholder"] {
    background-color:#EEE4DE;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.klaro.consentfriend.cm-as-context-notice {
    background-color:#EE298B;
    color:#fff;
    text-align: center;
    padding:15px;
    border-radius: 5px;
    box-shadow: rgba(143, 113, 87, .33) 0 0 5px 3px;
    margin:15px;
}

.klaro.consentfriend.cm-as-context-notice .cm-btn-success,
.klaro.consentfriend.cm-as-context-notice .cm-btn-success-var {
    padding:15px 30px;
    border-radius: 5px;
    margin:10px;
    transition: .25s all;
}
.klaro.consentfriend.cm-as-context-notice .cm-btn-success {
    border:1px solid #fff;
    background-color:#EE298B;
    color:#fff;
}
.klaro.consentfriend.cm-as-context-notice .cm-btn-success:hover {
    background-color:rgba(255,255,255,.66);
}
.klaro.consentfriend.cm-as-context-notice .cm-btn-success-var {
    border:1px solid #fff;
    border-radius:5px;
    background-color:rgba(255,255,255,1);
    color:#EE298B;
}
.klaro.consentfriend.cm-as-context-notice .cm-btn-success-var:hover {
    background-color:rgba(255,255,255,.66);
}

/* Fix for consentFriend */
ul.cm-content {
    display: none !important;
}
ul.cm-content.expanded {
    display: block !important;
    margin:1.5em 0 !important;
}
li.cm-service { margin-left:60px !important; }
li.cm-service .cm-switch { margin-left:60px !important; }

